### Method

# Panel Widget set_id

#### Declaration [src]

    void
    panel_widget_set_id (
      PanelWidget* self,
      const char* id
    )

#### Description [src]

Sets the id of the panel widget.

Sets property | `Panel.Widget:id`

#### Parameters

`id`

  Type: `const char*`

  The id to set for the panel widget.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.